<?php

# i18n

$itemtypestext = __('Defines the item type. The following item types are available. %s See %s for documentation on how to set item when using a defined item type.', 'iperss');
$itemdoclinktext = __('Types help', 'iperss');
$itemdoclink = sprintf('<a href="admin.php?page=iperss/adm/typeshelp.php">'.
	'%s</a>', $itemdoclinktext);
$possibleitemtypes = '<p>'.
	'<code>user</code> – '.	__('User images', 'iperss').'<br />'.
	'<code>album</code> – '.__('Album', 'iperss').'<br />'.
	'<code>owntag</code> – '.__('User tag', 'iperss').'<br />'.
	'<code>globaltag</code> – '.__('Global tag', 'iperss').'<br />'.
	'<code>group</code> – '.__('Group pool', 'iperss').'<br />'.
	'<code>all</code> – '.__('All new images', 'iperss').
	'</p>';
$iteminfo = sprintf($itemtypestext, $possibleitemtypes, $itemdoclink);

$datefmt = __('Defines how the date will be displayed, please see %s for further informations and examples', 'iperss');
$datefmtlinktext = __('options help', 'iperss');
$datefmtinfo = sprintf($datefmt, '<a href="admin.php?page=iperss/adm/optionshelp.php">'.$datefmtlinktext.'</a>');

$tninfotext = __('You can use %s for thumbnails, %s for small images, %s for medium images or %s for large images.', 'iperss');
$tninfo = sprintf($tninfotext, '<code>t</code>',
				'<code>s</code>',
				'<code>m</code>',
				'<code>l</code>');

$loggedintext = __('Shows the ipeRSS instance only if the user viewing it, is logged in to WordPress. There is no distinction between user levels.', 'iperss');

$customcsstext = __('Apply custom CSS definition %s, or do not apply them.', 'iperss');
$customcsslink = '<a href="admin.php?page=iperss/adm/customcss.php">'.__('set here', 'iperss').'</a>';
$customcss = sprintf($customcsstext, $customcsslink);

$marginforcefixtext = __('A special parameter for themes who forcing a margin value to images resulting in ipeRSS images without margin for example, which looks plain ugly. For example the WordPress default theme does this. To avoid this by using custom CSS %s use this option, use %s instead!', 'iperss');

$dont = __('don’t', 'iperss');

$iperssoptions = array(
	'title' => __('Arbitrary title. If not title was defined, “ipeRSS” will be used.', 'iperss'),
	'type' => $iteminfo,
	'lang' => __('Defines in what language the header and the “no title” titles are shown.', 'iperss'),
	'number' => __('What amount of images should be shown? This is limited by the ipernity API. You can set whatever value you want. By the release of the currently installed version of this plugin the max number of images returned by the ipernity API is 20.', 'iperss'),
	'datefmt' => $datefmtinfo,
	'imgsize' => __('Defines what image size should be used for displaying the thumbnail images in widget.', 'iperss').' '.$tninfo,
	'addclass' => __('Adds an additional CSS class to the image list (see custom CSS page) that can be used to distinguish multiple instances for different styling.', 'iperss'),
	'loggedin' => __('Shows the ipeRSS instance only if the user viewing it, is logged in to WordPress. There is no distinction between user levels.', 'iperss'),
	'customcss' => $customcss,
	'defaultcss' => __('Apply default (shipped with this plugin) CSS definitions, or do not apply them.', 'iperss'),
	'poweredby' => __('Show an information link below the images linking to the ipeRSS home page', 'iperss'),
	'marginforcefix' => sprintf($marginforcefixtext, '<em>'.$dont.'</em>', '<code>!important</code>')
);

?>
<table class="form-table ipersscodeshelp">
<?php
foreach ($iperssoptions as $name => $description) {
	echo '<tr valign="top">	<th scope="row"><strong>'.$name.
		'</strong></th><td>'.$description.'</td></tr>';
}
?>
</table>
