<?php

# i18n

$intro1 = __('Here you can define a custom CSS that can be used with ipeRSS widgets. All styles automatically get rewritten so that they only affect the ipeRSS widget. The custom CSS gets combined with the default CSS and custom settings overwrite settings from the default CSS. You can enable or disable the usage of the default and the custom CSS in the widget settings.', 'iperss');

$intro2 = __('To disable the custom CSS usage simply disable it in the widget. You don’t need to delete the custom CSS settings on this page. They will be loaded anyways, but if disabled in widget, the code does not get applied to it.', 'iperss');

$structureheader = __('Structure', 'iperss');

$structureinfo = __('As a guideline for creating your custom CSS, here’s the structure that ipeRSS uses for displaying the images and informations.', 'iperss');

$notestrong = __('Note:', 'iperss');
$masktext = __('You don’t need to “mask” the definitions by using descendant selectors like %s. Simply use %s directly. In fact, you can not use them at all, because the code gets rewritten by ipeRSS, so don’t waste you time making it too complicated :)', 'iperss');

$tutlinktext = __('CSS tutorial at w3schools.com', 'iperss');
$tutlink = '<a href="http://www.w3schools.com/css/">'.$tutlinktext.'</a>';
$tutinfotext = __('If you’re unfamiliar with CSS try the %s.', 'iperss');

$customcssheader = __('Custom CSS', 'iperss');

$info = __('custom CSS file updated', 'iperss');
$title = __('ipeRSS Custom CSS Settings', 'iperss');


$opt_name = 'iperss_custom_css';
$hidden_field_name = 'iperss_custom_css_submit_hidden';
$data_field_name = 'iperss_custom_css';
$opt_val = get_option( $opt_name );

if( isset($_POST[ $hidden_field_name ])
	&& $_POST[ $hidden_field_name ] == 'Y' ) {
	$opt_val = $_POST[ $data_field_name ];
	update_option( $opt_name, $opt_val );
	echo '<div class="updated"><p><strong>'.$info.
		'</strong></p></div>';
}
?>

<div class="wrap">
<div id="icon-options-general" class="icon32"><br /></div>
<h2><?php echo $title; ?></h2>


<p><?php echo $intro1.'</p><p>'.$intro2?></p>


<div class="ipersscsssettingleft">
<div>

<h3><?php echo $structureheader; ?></h3>
<p><?php echo $structureinfo; ?></p>

<p><pre><?php
$addclass = __('ADDITIONAL CLASS', 'iperss');
$titlestart = __('Title if not widget (hidden by default)', 'iperss');
$ipersstitle = __('TITLE', 'iperss');
$titleend = __('Title if not widget end', 'iperss');
$userlink = __('ITEMLINK', 'iperss');
$username = __('ITEM', 'iperss');
$loopstart = __('This part gets repeated for each image', 'iperss');
$loopend = __('image loop end','iperss');
$imagetitle = __('IMAGE TITLE','iperss');
$imagelink = __('IMAGE LINK','iperss');
$thumbnail = __('IMAGE THUMBNAIL','iperss');
$imagedate = __('IMAGE DATE','iperss');
$infolink = __('INFOLINK','iperss');
$infotext = __('INFOTEXT','iperss');
$code = '<ul class="'.$addclass.'">'."\n".
	'    <!-- '.$titlestart.' -->'."\n".
	'        <li class="iperstitle">'."\n".
	'            <h2>'.$ipersstitle.'</h2>'."\n".
	'        </li>'."\n".
	'    <!-- '.$titleend.' -->'."\n".
	'    <li class="ipersitem">'."\n".
	'        <a href="'.$userlink.'">'.$username.'</a>'."\n".
	'    </li>'."\n".
	'    <!-- '.$loopstart.' -->'."\n".
	'        <li class="iperssimg">'."\n".
	'            <h3>'.$imagetitle.'</h3>'."\n".
	'            <p><a href="'.$imagelink.'"><img src="'.$thumbnail.
	'"></a></p>'."\n".
	'            <p><em>'.$imagedate.'</em></p>'."\n".
	'        </li>'."\n".
	'    <!-- '.$loopend.' -->'."\n".
	'    <li class="iperssclearfix"></li>'."\n".
	'    <li class="iperssinfo">'."\n".
	'        <a href="'.$infolink.'">'.$infotext.'</a>'."\n".
	'    </li>'."\n".
	'</ul>';
echo str_replace(array('<','>'), array('&lt;','&gt;'), $code);
?></pre></p>

<p><strong><?php echo $notestrong; ?></strong>

<?php 

echo sprintf($masktext,
	'<code>div.ipersscustom ul { … }</code>',
	'<code>ul { … }</code>');
?>
</p>

<p><?php echo sprintf($tutinfotext, $tutlink); ?></p>

</div>
</div>



<div class="ipersscsssettingright">

<form name="form1" method="post" action="">
<input type="hidden" name="<?php echo $hidden_field_name; ?>" value="Y">

<h3><?php echo $customcssheader; ?></h3>

<p><textarea class="widefat" cols="80" rows="26" name="<?php echo $data_field_name; ?>"><?php echo $opt_val; ?></textarea></p>

<p class="submit">
<input type="submit" name="Submit" class="button-primary" value="<?php esc_attr_e('Save Changes') ?>" />
</p>
</form>

</div>



</div>
