<?php

# i18n

$title = __('ipeRSS Shortcodes Help', 'iperss');

$intro1 = __('Shortcodes are simple and rather short special codes you can input directly into the post or page creation editor without caring about the correct parsing. Maybe you already use them without knowing it. If you added a gallery to one of you pages or posts via the WordPress default functionality, you already used a shortcode.', 'iperss');

$intro2 = __('Shortcodes are created by using %s where %s is the shortcode identifier and %s is an optional parameter with value %s.', 'iperss');

$intro3 = __('The shortcode identifier for ipeRSS is simply %s. The following list gives you all possible parameters for the shortcode setup and gives a short description on wht this parameter does.', 'iperss');

$infotable = __('Descriptions', 'iperss');

$examples = __('The following list gives a few examples for shortcodes', 'iperss');

$shortcodeexample = __('[foo bar="baz" /]', 'iperss');
$shortcodeid = __('foo', 'iperss');
$shortcodeoption = __('bar', 'iperss');
$shortcodevalue = __('baz', 'iperss');

$pleasenote = __('Please note: ', 'iperss');
$notetext = __('%sThe only parameter you have to add always is the item. All other parameters are optional. The following default values are used for all optional parameters.', 'iperss');
$note = sprintf($notetext, '<strong>'.$pleasenote.'</strong>');

$defaultvalues = __('Default values', 'iperss');

$defaultsinfo = __('All other values are not set by default', 'iperss');

?>

<div class="wrap">
<div id="icon-options-general" class="icon32"><br /></div>
<h2><?php echo $title; ?></h2>



<p>
<?php
echo $intro1.' ';
echo sprintf($intro2,
	'<code>'.$shortcodeexample.'</code>',
	'<code>'.$shortcodeid.'</code>',
	'<code>'.$shortcodeoption.'</code>',
	'<code>'.$shortcodevalue.'</code>');
?>
</p>
<p><?php echo sprintf($intro3, '<code>iperss</code>'); ?></p>



<h3 class="ipersscodeshelp"><?php echo $infotable; ?></h3>

<?php include('codes.inc.php'); ?>



<h3 class="ipersscodeshelp"><?php echo $examples; ?></h3>

<ul class="iperssshortcodeexamples">
<?php
function li($example) {
	$item = __('ITEM', 'iperss');
	echo '<li><code>[iperss item="'.$item.'"'.$example.']</code></li>';
}

li('');
li(' number=9');
li(' customcss=true poweredby=true');
li(' addclass="'.__('bar', 'iperss').'"');
li(' lang="fr" number=1 marginforcefix=true');
li(' imgsize="l" datefmt="Y-m-d" customcss=true');
li(' imgsize="l" defaultcss=false');
li(' type="group"');
li(' type="globaltag" addclass="gt"');

?>
</ul>

<p><?php echo $note; ?></p>



<h3 class="ipersscodeshelp"><?php echo $defaultvalues; ?></h3>
<table class="form-table ipersscodeshelp">
<?php
$iperssdefaults = array(
	'title' => __('ipeRSS', 'iperss'),
	'type' => __('User images', 'iperss'),
	'number' => 6,
	'lang' => __('English', 'iperss'),
	'imgsize' => __('Thumbnail images', 'iperss'),
	'datefmt' => 'Y-m-d\TH:i:s',
	'defaultcss' => __('Enabled', 'iperss')
);

foreach ($iperssdefaults as $name => $value) {
	echo '<tr valign="top">	<th scope="row"><strong>'.$name.
		'</strong></th><td>'.$value.'</td></tr>';
}
?>
</table>



<p><?php echo $defaultsinfo; ?></p>



</div>
