<?php

function css($v, $item){
	$v = trim($v);
	$v = str_replace("\r\n", "\n", $v);
	$search = array("/\/\*[\d\D]*?\*\/|\t+/", "/\s+/", "/\}\s+/");
	$replace = array(null, " ", "}\n");
	$v = preg_replace($search, $replace, $v);
	$search = array("/\\;\s/",
			"/\s+\{\\s+/",
			"/\\:\s+\\#/",
			"/,\s+/i",
			"/\\:\s+\\\'/i",
			"/\\:\s+([0-9]+|[A-F]+)/i");
	$replace = array(";", "{", ":#", ",", ":\'", ":$1");
	$v = preg_replace($search, $replace, $v);
	$v = preg_replace("/^/i", $item." ", $v);
	$v = preg_replace("/}\n([a-z0-9\._])/i", "}\n".$item." \\1", $v);
	return $v;
}


function iperss_load_admin_css() {
	$url = WP_CONTENT_URL.'/plugins/'.plugin_basename(dirname(__FILE__));
	echo '<link rel="stylesheet" href="'.$url.'/admin.css" '.
		'type="text/css" media="screen" />';
}

function iperss_load_default_css() {
	$url = WP_CONTENT_URL.'/plugins/'.plugin_basename(dirname(__FILE__));
	echo '<link rel="stylesheet" href="'.$url.'/default.css" '.
		'type="text/css" media="screen" />';
}

function iperss_load_custom_css() {
	$css = css(get_option('iperss_custom_css'), 'div.ipersscustom');
	echo '<style type="text/css">/*<![CDATA[*/'."\n".
		$css."\n".
		'/*]]>*/</style>';
}

add_action('admin_head', 'iperss_load_admin_css');
add_action('wp_print_styles', 'iperss_load_default_css');
add_action('wp_print_styles', 'iperss_load_custom_css');

?>
