<?php

class IpeRSS extends WP_Widget {



	function IpeRSS() {
		$widget_ops = array(
			'classname' => 'IpeRSS',
			'description' => __(
				'Display ipernity images',
				'iperss')
			);
		$this->WP_Widget('iperss',
			__('ipeRSS', 'iperss'),
			$widget_ops);
		require_once('stylesheet.php');
	}



	function widget($args, $instance) {
		# TODO: Disable after bugfixing!
		#print_r($instance);

		if ($instance['defaultcss'] == 'y')
			$default = ' iperssdefault';
		if ($instance['customcss'] == 'y')
			$custom = ' ipersscustom';

		extract($args);


		$title = empty($instance['title']) ?
			__('ipeRSS', 'iperss') :
			apply_filters('widget_title', $instance['title']);

		if ( !is_user_logged_in() and $instance['loggedin'] ) {
			return;
		}

		echo $before_widget;
		echo $before_title . $title . $after_title;
		include('iperss.php');
		echo $ret;
		echo $after_widget;
	}



	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		$instance['title'] = strip_tags($new_instance['title']);
		$instance['number'] = (int) $new_instance['number'];
		$instance['type'] = (string) $new_instance['type'];
		$instance['item'] = (string) $new_instance['item'];
		$instance['lang'] = (string) $new_instance['lang'];
		$instance['imgsize'] = (string) $new_instance['imgsize'];
		$instance['datefmt'] = (string) $new_instance['datefmt'];
		$instance['loggedin'] = (bool) $new_instance['loggedin'];
		$instance['addclass'] = (string) $new_instance['addclass'];
		$instance['customcss'] = (bool) $new_instance['customcss'];
		$instance['defaultcss'] = (bool) $new_instance['defaultcss'];
		$instance['poweredby'] = (bool) $new_instance['poweredby'];

		if ( !$number = (int) $instance['number'] )
			$instance['number'] = 6;
		else if ( $number < 1 )
			$instance['number'] = 1;

		return $instance;
	}



	function formitem($type, $id, $title, $value) {
		if ($type == 'i') {
			echo '<p><label for="'.$this->get_field_id($id).'">';
			echo _e($title);
			echo '<input class="widefat" id="'.
				$this->get_field_id($id).
				'" name="'.$this->get_field_name($id).
				'" type="text" value="'.$value.
				'" /></label></p>';
		}
		elseif ($type == 'c') {
			if ($value == true) { $checked = 'checked="checked"'; }
				echo '<p><input class="widefat" id="'.
				$this->get_field_id($id).
				'" name="'.$this->get_field_name($id).
				'" type="checkbox" value="1" '.$checked.'/> ';
			echo '<label for="'.$this->get_field_id($id).'">';
			echo _e($title).'</label></p>';
		}
	}


	function typeselect($id, $title, $value) {
		$helplinktext = __('See types help', 'iperss');
		echo '<p><label for="'.$this->get_field_id($id).'">';
		echo _e($title).'<br />';
		echo '<select name="'.$this->get_field_name($id).'" '.
			'id="'.$this->get_field_id($id).'">';
		$types = array(
			'user' => __('User images', 'iperss'),
			'album' => __('Album', 'iperss'),
			'owntag' => __('User tag', 'iperss'),
			'globaltag' => __('Global tag', 'iperss'),
			'group' => __('Group pool', 'iperss'),
			'all' => __('All new images', 'iperss')
			);
		foreach ($types as $type => $description) {
			if ($type == $value) {
				$selected = ' selected="selected"';
			}
			else {
				$selected = '';
			}
			echo '<option value="'.$type.'"'.$selected.'>'.
				$description.'</option>';
		}
		$help = '<a href="admin.php?page=iperss/adm/typeshelp.php">'.
			$helplinktext.'</a>';
		echo '</select><br />'.$help.'</label></p>';
	}


	function languageselect($id, $title, $value) {
		echo '<p><label for="'.$this->get_field_id($id).'">';
		echo _e($title).'<br />';
		echo '<select name="'.$this->get_field_name($id).'" '.
			'id="'.$this->get_field_id($id).'">';
		$langs = array(
			'ca' => 'Català',
			'cs' => 'Čeština',
			'de' => 'Deutsch',
			'el' => 'Ελληνικά',
			'en' => 'English',
			'eo' => 'Esperanto',
			'es' => 'Español',
			'fr' => 'Français',
			'gl' => 'Galego',
			'it' => 'Italiano',
			'nl' => 'Nederlands',
			'pt' => 'Português',
			'sv' => 'Svenska',
			'zh' => '中文'
		);
		foreach ($langs as $iso => $name) {
			if ($iso == $value) {
				$selected = ' selected="selected"';
			}
			else {
				$selected = '';
			}
			echo '<option value="'.$iso.'"'.$selected.'>'.
				$name.'</option>';
		}
		echo '</select></label></p>';
	}


	function sizeselect($id, $title, $value) {
		$tn = __('Thumbnail (75×75)', 'iperss');
		$small = __('Small (100×)', 'iperss');
		$medium = __('Medium (240×)', 'iperss');
		$large = __('Large (1024×)', 'iperss');
		echo '<p><label for="'.$this->get_field_id($id).'">';
		echo _e($title);
		echo '<select name="'.$this->get_field_name($id).'" '.
			'id="'.$this->get_field_id($id).'">';
		$sizes = array(
			't'   => $tn,
			'100' => $small,
			'240' => $medium,
			'1024' => $large
		);
		foreach ($sizes as $size => $desc) {
			if ($size == $value) {
				$selected = ' selected="selected"';
			}
			else {
				$selected = '';
			}
			echo '<option value="'.$size.'"'.$selected.'>'.
				$desc.'</option>';
		}
		echo '</select></label></p>';
	}


	function form( $instance ) {
		$title = attribute_escape($instance['title']);
		$type = attribute_escape($instance['type']);
		$item = attribute_escape($instance['item']);
		$lang = attribute_escape($instance['lang']);
		$datefmt = attribute_escape($instance['datefmt']);
		$imgsize = attribute_escape($instance['imgsize']);
		$loggedin = attribute_escape($instance['loggedin']);
		$addclass = attribute_escape($instance['addclass']);
		$customcss = attribute_escape($instance['customcss']);
		$defaultcss = attribute_escape($instance['defaultcss']);
		$poweredby = attribute_escape($instance['poweredby']);

		if ( !$number = (int) $instance['number'] )
			$number = 6;
		if ( !$instance['imgsize'] )
			$imgsize = 't';
		if ( !$instance['datefmt'] )
			$datefmt = 'Y-m-d\TH:i:s';

		# TODO: Disable after bugfixing!
		#print_r($instance);

		#i18n
		$titletext = __('Title', 'iperss');
		$typetext = __('Item type', 'iperss');
		$itemtext = __('Item', 'iperss');
		$langtext = __('Desired feed language', 'iperss');
		$numbertext = __('No. of images', 'iperss');
		$datefmttext = __('Date format', 'iperss');
		$imgsizetext = __('Desired image size', 'iperss');
		$loggedintext = __('Only show if logged in', 'iperss');
		$addclasstext = __('Additional CSS class', 'iperss');
		$customcsstext = __('Apply custom CSS?', 'iperss');
		$defaultcsstext = __('Apply default CSS?', 'iperss');
		$poweredbytext = __('Show “powered by” link?', 'iperss');
		$optionshelp = __('Get help on options?', 'iperss');
		$optionslinktext = __('See here!', 'iperss');

		$this->formitem('i','title', $titletext, $title);
		$this->typeselect('type', $typetext, $type);
		$this->formitem('i', 'item', $itemtext, $item);
		$this->languageselect('lang', $langtext, $lang);
		$this->formitem('i', 'number', $numbertext, $number);
		$this->formitem('i', 'datefmt', $datefmttext, $datefmt);
		$this->sizeselect('imgsize', $imgsizetext,$imgsize);
		$this->formitem('i', 'addclass',$addclasstext, $addclass);
		$this->formitem('c', 'loggedin',$loggedintext, $loggedin);
		$this->formitem('c', 'customcss',$customcsstext, $customcss);
		$this->formitem('c', 'defaultcss', $defaultcsstext,$defaultcss);
		$this->formitem('c', 'poweredby', $poweredbytext, $poweredby);
		echo '<p>'.$optionshelp.'<br />'.
			'<a href="admin.php?page=iperss/adm/optionshelp.php">'.
			$optionslinktext.'</a></p>';
	}


	function registerwidget() {
		function r_iperss() { register_widget('IpeRSS'); }
		add_action('widgets_init', 'r_iperss');
		$plugin_dir = basename(dirname(__FILE__));
		load_plugin_textdomain('iperss',
			'wp-content/plugins/' . $plugin_dir,
			$plugin_dir);

	}



}

?>
